com.atid.lib.module.rfid.uhf.params

## Class PermaLock6cParam

- java.lang.Object
- - com.atid.lib.module.rfid.uhf.params.PermaLock6cParam

-     public class PermaLock6cParam
      extends java.lang.Object

  The PermaLock6cParam class is used to pass information pertaining to RFID UHF's PermaLock command.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PermaLock6cParam.LockState`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PermaLock6cParam()` Creates an instance of the PermaLock6cParam class.
    `PermaLock6cParam(PermaLock6cParam.LockState killPassword, PermaLock6cParam.LockState accessPassword, PermaLock6cParam.LockState epc, PermaLock6cParam.LockState tid, PermaLock6cParam.LockState user)` Creates an instance of the PermaLock6cParam class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PermaLock6cParam.LockState` | `getAccessPassword()` Returns TAG Access operation for 'Access Password Area of Reserved Memory'.
    `int` | `getAction()` This method is used internally by the SDK.
    `PermaLock6cParam.LockState` | `getEpc()` Returns TAG Access action for 'EPC memory'.
    `PermaLock6cParam.LockState` | `getKillPassword()` Returns TAG Access operation for 'Kill Password Area of Reserved Memory'.
    `int` | `getMask()` This method is used internally by the SDK.
    `int` | `getPermalock()` This method is used internally by the SDK.
    `PermaLock6cParam.LockState` | `getTid()` Returns TAG Access action for 'TID memory'.
    `PermaLock6cParam.LockState` | `getUser()` Returns TAG Access behavior for 'User memory'.
    `void` | `setAccessPassword(PermaLock6cParam.LockState value)` Set TAG Access operation for 'Access Password Area of Reserved Memory'.
    `void` | `setEpc(PermaLock6cParam.LockState value)` Set TAG Access action for 'EPC memory'.
    `void` | `setKillPassword(PermaLock6cParam.LockState value)` Set TAG Access operation for 'Kill Password Area of Reserved Memory'.
    `void` | `setTid(PermaLock6cParam.LockState value)` Set TAG Access operation for 'TID memory'.
    `void` | `setUser(PermaLock6cParam.LockState value)` Set TAG Access behavior for 'User memory'.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PermaLock6cParam

          public PermaLock6cParam()

      Creates an instance of the PermaLock6cParam class.

    - #### PermaLock6cParam

          public PermaLock6cParam(PermaLock6cParam.LockState killPassword,
                                  PermaLock6cParam.LockState accessPassword,
                                  PermaLock6cParam.LockState epc,
                                  PermaLock6cParam.LockState tid,
                                  PermaLock6cParam.LockState user)

      Creates an instance of the PermaLock6cParam class.
      Parameters:
        `killPassword` - LockState enum indicating the Access operation for the 'Kill Password area of ​​the Reserved Memory' of the tag.
        `accessPassword` - The LockState enumeration that indicates the Access operation for the 'Access Memory area of ​​the Reserved Memory' of the tag.
        `epc` - A LockState enum indicating the Access behavior for the tag's 'EPC memory'.
        `tid` - The LockState enumeration indicating the Access behavior for the tag's 'TID memory'.
        `user` - The LockState enumeration that indicates the Access behavior for the tag 'User Memory'.

  - ### Method Detail

    - #### getKillPassword

          public PermaLock6cParam.LockState getKillPassword()

      Returns TAG Access operation for 'Kill Password Area of Reserved Memory'.
      Returns:
        LockState enum indicating the Access operation for the 'Kill Password area of the Reserved Memory' of the tag.

    - #### setKillPassword

          public void setKillPassword(PermaLock6cParam.LockState value)

      Set TAG Access operation for 'Kill Password Area of Reserved Memory'.
      Parameters:
        `value` - LockState enum indicating the Access operation for the 'Kill Password area of the Reserved Memory' of the tag.

    - #### getAccessPassword

          public PermaLock6cParam.LockState getAccessPassword()

      Returns TAG Access operation for 'Access Password Area of Reserved Memory'.
      Returns:
        The LockState enumeration that indicates the Access operation for the 'Access Memory area of the Reserved Memory' of the tag.

    - #### setAccessPassword

          public void setAccessPassword(PermaLock6cParam.LockState value)

      Set TAG Access operation for 'Access Password Area of Reserved Memory'.
      Parameters:
        `value` - The LockState enumeration that indicates the Access operation for the 'Access Memory area of the Reserved Memory' of the tag.

    - #### getEpc

          public PermaLock6cParam.LockState getEpc()

      Returns TAG Access action for 'EPC memory'.
      Returns:
        A LockState enum indicating the Access behavior for the tag's 'EPC memory'.

    - #### setEpc

          public void setEpc(PermaLock6cParam.LockState value)

      Set TAG Access action for 'EPC memory'.
      Parameters:
        `value` - A LockState enum indicating the Access behavior for the tag's 'EPC memory'.

    - #### getTid

          public PermaLock6cParam.LockState getTid()

      Returns TAG Access action for 'TID memory'.
      Returns:
        The LockState enumeration indicating the Access behavior for the tag's 'TID memory'.

    - #### setTid

          public void setTid(PermaLock6cParam.LockState value)

      Set TAG Access operation for 'TID memory'.
      Parameters:
        `value` - The LockState enumeration indicating the Access behavior for the tag's 'TID memory'.

    - #### getUser

          public PermaLock6cParam.LockState getUser()

      Returns TAG Access behavior for 'User memory'.
      Returns:
        The LockState enumeration that indicates the Access behavior for the tag 'User Memory'.

    - #### setUser

          public void setUser(PermaLock6cParam.LockState value)

      Set TAG Access behavior for 'User memory'.
      Parameters:
        `value` - The LockState enumeration that indicates the Access behavior for the tag 'User Memory'.

    - #### getAction

          public int getAction()

      This method is used internally by the SDK.

    - #### getMask

          public int getMask()

      This method is used internally by the SDK.

    - #### getPermalock

          public int getPermalock()

      This method is used internally by the SDK.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`